Bug 569121

Summary: Java applications are unable to use tray icon when using compiz
Product: [Fedora] Fedora Reporter: Hedayat Vatankhah <hedayatv>
Component: java-1.6.0-openjdkAssignee: Omair Majid <omajid>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: dbhole, jpechane, lkundrak, mark, omajid, rruss
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-01-19 16:06:18 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Hedayat Vatankhah 2010-02-28 04:21:40 EST
Description of problem:
When running compiz, java applications are unable to use a tray icon and they think that tray icon is not supported. But using metacity, they are able to put their icon in the tray. 

How reproducible:
100%

Steps to Reproduce:
1. Run a java application with tray icon under metacity in Gnome. You'll see the tray icon.
2.Exit the program and enable desktop effects
3.Run the application again. The tray icon doesn't appear. Java thinks that the tray icon is not supported
  
Expected results:
Java programs should be able to use a tray icon when compiz is enabled

Additional info:
Apparently this bug is fixed in sun's JDK.
Comment 1 Omair Majid 2010-07-07 09:21:40 EDT
Confirmed. This needs to be ported from OpenJDK7 to OpenJDK6.
Comment 2 Bug Zapper 2010-11-03 17:09:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Omair Majid 2010-11-03 17:27:37 EDT
This has been fixed in OpenJDK6. The fix should become available in Fedora 14 with the next release of IcedTea6 - 1.10.
Comment 4 Fedora Update System 2011-01-18 11:17:04 EST
java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13
Comment 5 Fedora Update System 2011-01-18 11:25:56 EST
java-1.6.0-openjdk-1.6.0.0-50.1.9.4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-50.1.9.4.fc14
Comment 6 Fedora Update System 2011-01-18 11:27:16 EST
java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13
Comment 7 Fedora Update System 2011-01-18 16:29:37 EST
java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update java-1.6.0-openjdk'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13
Comment 8 Fedora Update System 2011-01-19 16:05:50 EST
java-1.6.0-openjdk-1.6.0.0-50.1.9.4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-01-19 16:09:12 EST
java-1.6.0-openjdk-1.6.0.0-48.1.8.4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.